Inbox API
Inbox details
Get the details of an inbox
GET
/
public
/
api
/
v1
/
inboxes
/
{inbox_identifier}
Inbox details
curl --request GET \
--url https://app.bluechat.lat/public/api/v1/inboxes/{inbox_identifier}import requests
url = "https://app.bluechat.lat/public/api/v1/inboxes/{inbox_identifier}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.bluechat.lat/public/api/v1/inboxes/{inbox_identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"identifier": "<string>",
"name": "<string>",
"timezone": "<string>",
"working_hours": [
{
"day_of_week": 123,
"open_all_day": true,
"closed_all_day": true,
"open_hour": 123,
"open_minutes": 123,
"close_hour": 123,
"close_minutes": 123
}
],
"working_hours_enabled": true,
"csat_survey_enabled": true,
"greeting_enabled": true,
"identity_validation_enabled": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Path Parameters
The identifier obtained from API inbox channel
Response
Success
Inbox identifier
Name of the inbox
The timezone defined on the inbox
The working hours defined on the inbox
Show child attributes
Show child attributes
Whether of not the working hours are enabled on the inbox
Whether of not the Customer Satisfaction survey is enabled on the inbox
Whether of not the Greeting Message is enabled on the inbox
Whether of not the User Identity Validation is enforced on the inbox
⌘I
Inbox details

